net.minecraft.stats

## Class StatFileWriter

- java.lang.Object
- - net.minecraft.stats.StatFileWriter

-     public class StatFileWriter
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatFileWriter(Session par1Session, File par2File)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canUnlockAchievement(Achievement par1Achievement)` Returns true if the parent has been unlocked, or there is no parent
    `static String` | `func_77441_a(String par0Str, String par1Str, Map par2Map)`
    `Map` | `func_77445_b()`
    `void` | `func_77448_c(Map par1Map)`
    `void` | `func_77449_e()`
    `void` | `func_77452_b(Map par1Map)`
    `static Map` | `func_77453_b(String par0Str)`
    `boolean` | `hasAchievementUnlocked(Achievement par1Achievement)` Returns true if the achievement has been unlocked.
    `void` | `readStat(StatBase par1StatBase, int par2)`
    `void` | `syncStats()`
    `int` | `writeStat(StatBase par1StatBase)`
    `void` | `writeStats(Map par1Map)` write a whole Map of stats to the statmap

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatFileWriter

          public StatFileWriter(Session par1Session,
                        File par2File)

  - ### Method Detail

    - #### readStat

          public void readStat(StatBase par1StatBase,
                      int par2)

    - #### func_77445_b

          public Map func_77445_b()

    - #### writeStats

          public void writeStats(Map par1Map)

      write a whole Map of stats to the statmap

    - #### func_77452_b

          public void func_77452_b(Map par1Map)

    - #### func_77448_c

          public void func_77448_c(Map par1Map)

    - #### func_77453_b

          public static Map func_77453_b(String par0Str)

    - #### func_77441_a

          public static String func_77441_a(String par0Str,
                            String par1Str,
                            Map par2Map)

    - #### hasAchievementUnlocked

          public boolean hasAchievementUnlocked(Achievement par1Achievement)

      Returns true if the achievement has been unlocked.

    - #### canUnlockAchievement

          public boolean canUnlockAchievement(Achievement par1Achievement)

      Returns true if the parent has been unlocked, or there is no parent

    - #### writeStat

          public int writeStat(StatBase par1StatBase)

    - #### syncStats

          public void syncStats()

    - #### func_77449_e

          public void func_77449_e()